Jobs - Get

Gets a job.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/jobAgents/{jobAgentName}/jobs/{jobName}?api-version=2025-01-01

URI Parameters

Name In Required Type Description
jobAgentName
path True

string

The name of the job agent to be retrieved.

jobName
path True

string

The name of the job to get.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

Job

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get a job

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1/jobs/job1?api-version=2025-01-01

Sample response

{
  "name": "job1",
  "type": "Microsoft.Sql/servers/jobAccounts/jobs",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1/jobs/job1",
  "properties": {
    "description": "my favourite job",
    "schedule": {
      "type": "Once",
      "enabled": true,
      "endTime": "2015-09-24T23:59:59Z",
      "startTime": "2015-09-24T18:30:01Z"
    },
    "version": 0
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

Job

A job.

JobSchedule

Scheduling properties of a job.

JobScheduleType

Schedule interval type

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

Job

A job.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.description

string

User-defined description of the job.

properties.schedule

JobSchedule

Schedule properties of the job.

properties.version

integer (int32)

The job version number.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

JobSchedule

Scheduling properties of a job.

Name Type Default value Description
enabled

boolean

Whether or not the schedule is enabled.

endTime

string (date-time)

12/31/9999 11:59:59 AM

Schedule end time.

interval

string

Value of the schedule's recurring interval, if the ScheduleType is recurring. ISO8601 duration format.

startTime

string (date-time)

1/2/0001 12:00:00 AM

Schedule start time.

type

JobScheduleType

Once

Schedule interval type

JobScheduleType

Schedule interval type

Value Description
Once

Once

Recurring

Recurring

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.